/**
 * XRoleClassCoverage.java
 *
 * File generated from the medication::XRoleClassCoverage uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XRoleClassCoverage.
 *
 * 
 */

@XmlType(name = "XRoleClassCoverage")
@XmlEnum
@XmlRootElement(name = "XRoleClassCoverage")
public enum XRoleClassCoverage {
	@XmlEnumValue("COVPTY")
	COVPTY("COVPTY"),
	@XmlEnumValue("POLHOLD")
	POLHOLD("POLHOLD"),
	@XmlEnumValue("SPNSR")
	SPNSR("SPNSR"),
	@XmlEnumValue("UNDWRT")
	UNDWRT("UNDWRT");
	
	private final String value;

    XRoleClassCoverage(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static XRoleClassCoverage fromValue(String v) {
        for (XRoleClassCoverage c: XRoleClassCoverage.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}